1

I am running 1.7.0.2 Magento and php 5.3.29, and for the past 2-3 days I've been getting the Deprecated Functionality warning

Deprecated functionality: iconv_set_encoding(): Use of iconv.internal_encoding is deprecated


PHP Deprecated:  Automatically populating $HTTP_RAW_POST_DATA is deprecated and will be removed in a future version. 

I have 3 questions:

  1. Why do these two warnings started to show up out of nowhere?
  2. Is it necessary to fix these warning if the site function fine?
  3. Can these warning break website if not fixed?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.